/*
 * Copyright 2020 Digi Dinos JSC. All rights reserved.
 * Email: tech@digidinos.com.
 *
 * SCSS Home styles
 */

/* -----------------------------------------------------------
  Home common
----------------------------------------------------------- */
.home-page {
  font-size: 16px;
  color: $text-color;
  background: #fff;
  @include mq(max_sm) {
    font-size: 15px;
  }
}
.home-section {
  overflow: hidden;
  padding: 100px 0;
  @include mq(max_md) {
    padding: 70px 0;
  }
  @include mq(max_sm) {
    padding: 50px 0;
  }
}
.bg-gray {
  background: darken(#fff, 3%);
}
.st-lg {
  @include mq(lg) {
    margin-bottom: 70px;
  }
  @include mq(max_md) {
    margin-bottom: 50px;
  }
  @include mq(max_sm) {
    margin-bottom: 30px;
  }
}

/* -----------------------------------------------------------
  con-banner-top
----------------------------------------------------------- */
.con-banner-top {
  height: 100vh;
  @include mq(max_sm) {
    height: auto;
    padding-bottom: 86%;
  }
  &:before {
    display: block;
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(#000, 0.2);
  }
  .box-caption {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translate(0, -50%);
    width: 100%;
    text-align: center;
    padding: 0 2.5%;
    .md {
      display: block;
      font-size: 40px;
      color: #fff;
      text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.68);
      margin-bottom: 10px;
      @include mq(max_md) {
        font-size: 30px;
      }
      @include mq(max_sm) {
        font-size: 25px;
      }
      @include mq(max_xs) {
        font-size: 20px;
      }
    }
    .lg {
      display: block;
      font-weight: bold;
      font-size: 70px;
      line-height: 1.1;
      color: #fff;
      text-transform: uppercase;
      text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.68);
      margin-bottom: 20px;
      @include mq(max_md) {
        font-size: 60px;
      }
      @include mq(max_sm) {
        font-size: 46px;
      }
      @include mq(max_xs) {
        font-size: 28px;
      }
    }
    .btn-join {
      @include mq(lg) {
        font-size: 24px;
        padding: 14px 36px;
      }
    }
  }
}

/* -----------------------------------------------------------
  con-next-auction
----------------------------------------------------------- */
.con-next-auction {
  .timeline {
    position: relative;
    padding: 0;
    list-style: none;
    &:before {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 40px;
      width: 2px;
      margin-left: -1.5px;
      content: '';
      background-color: #e9ecef;
      @include mq(md) {
        left: 50%;
      }
    }
    > li {
      position: relative;
      min-height: 50px;
      margin-bottom: 50px;
      @include mq(md) {
        min-height: 100px;
        margin-bottom: 70px;
      }
      @include mq(lg) {
        min-height: 150px;
      }
      @include mq(xl) {
        min-height: 170px;
      }
      &:after,
      &:before {
        display: table;
        content: ' ';
      }
      &:after {
        clear: both;
      }
      &:last-child {
        margin-bottom: 0 !important;
      }
      .timeline-panel {
        position: relative;
        float: right;
        width: 100%;
        padding: 0 20px 0 100px;
        text-align: left;
        @include mq(md) {
          float: left;
          width: 41%;
          padding: 0 20px 0 0;
          text-align: right;
        }
        @include mq(lg) {
          padding: 0 20px 0 0;
        }
        @include mq(xl) {
          padding: 0 20px 0 0;
        }
        &:before {
          right: auto;
          left: -15px;
          border-right-width: 15px;
          border-left-width: 0;
        }
        &:after {
          right: auto;
          left: -14px;
          border-right-width: 14px;
          border-left-width: 0;
        }
      }
      .timeline-image {
        display: flex;
        justify-content: center;
        align-items: center;
        position: absolute;
        z-index: 2;
        left: 0;
        width: 80px;
        height: 80px;
        margin-left: 0;
        text-align: center;
        color: white;
        border: 7px solid #e9ecef;
        border-radius: 100%;
        background-color: $primary;
        @include mq(md) {
          left: 50%;
          width: 100px;
          height: 100px;
          margin-left: -50px;
        }
        @include mq(lg) {
          width: 150px;
          height: 150px;
          margin-left: -75px;
        }
        @include mq(xl) {
          width: 170px;
          height: 170px;
          margin-left: -85px;
        }
        h4 {
          font-size: 15px;
          line-height: 1.5;
          margin: 0;
          @include mq(md) {
            font-size: 16px;
          }
          @include mq(lg) {
            font-size: 18px;
          }
          a {
            color: #fff;
            text-decoration: none;
          }
        }
      }
      &.timeline-inverted {
        > .timeline-panel {
          float: right;
          padding: 0 20px 0 100px;
          text-align: left;
          @include mq(md) {
            float: right;
            padding: 0 0 0 20px;
            text-align: left;
          }
          @include mq(lg) {
            padding: 0 0 0 20px;
          }
          @include mq(xl) {
            padding: 0 0 0 20px;
          }
          &:before {
            right: auto;
            left: -15px;
            border-right-width: 15px;
            border-left-width: 0;
          }
          &:after {
            right: auto;
            left: -14px;
            border-right-width: 14px;
            border-left-width: 0;
          }
        }
      }
    }
    .timeline-heading {
      margin-bottom: 30px;
      .txt-title {
        font-size: 24px;
        font-weight: bold;
        line-height: 1.3;
        @include mq(max_sm) {
          font-size: 20px;
        }
        .sub {
          display: block;
          font-weight: normal;
          font-size: 16px;
          margin-top: 5px;
        }
      }
    }
  }
}

/* -----------------------------------------------------------
  con-menu-auction
----------------------------------------------------------- */
.con-menu-auction {
  .box-list {
    margin: 0 auto 10px;
    @include mq(max_sm) {
      margin-bottom: 0;
    }
  }
  .item {
    margin-bottom: 40px;
    @include mq(xl) {
      flex: 0 0 (100%/5);
      max-width: (100%/5);
    }
    a {
      text-decoration: none;
    }
    .inner-box {
      text-align: center;
    }
    .thumb {
      display: block;
      position: relative;
      overflow: hidden;
      border: 7px solid rgba(0, 0, 0, 0.1);
      border-radius: 50%;
      margin: auto;
      @include mq(max_xs) {
        max-width: 300px;
      }
      &:hover {
        &:before {
          opacity: 1;
        }
        .btn-plus {
          transform: translate(-50%, -50%) scale(1);
        }
      }
      &:before {
        opacity: 0;
        display: block;
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background: rgba($primary, 0.8);
        transition: all 0.4s ease;
      }
    }
    .img {
      width: 100%;
    }
    .btn-plus {
      display: block;
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%) scale(0);
      transform-origin: center center;
      font-size: 50px;
      color: #fff;
      transition: all 0.4s ease;
      @include mq(max_sm) {
        font-size: 40px;
      }
    }
    .txt-title {
      font-size: 18px;
      font-weight: bold;
      color: $text-color;
      text-decoration: none;
      transition: all 0.4s ease;
      padding: 0;
      margin: 10px 0 0;
      &:hover {
        color: $primary;
      }
    }
  }
  .box-more {
    text-align: center;
  }
}

/* -----------------------------------------------------------
  con-next-items
----------------------------------------------------------- */
.con-next-items {
  .box-list {
    margin: 0 auto 20px;
    @include mq(max_sm) {
      margin-bottom: 10px;
    }
  }
  .item {
    margin-bottom: 30px;
    a {
      text-decoration: none;
    }
    .inner-box {
      text-align: center;
    }
    .thumb {
      display: block;
      position: relative;
      overflow: hidden;
      margin: auto;
      @include mq(max_xs) {
        max-width: 300px;
      }
      &:hover {
        &:before {
          opacity: 1;
        }
        .btn-plus {
          transform: translate(-50%, -50%) scale(1);
        }
      }
      &:before {
        opacity: 0;
        display: block;
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background: rgba($primary, 0.8);
        transition: all 0.4s ease;
      }
    }
    .img {
      width: 100%;
    }
    .btn-plus {
      display: block;
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%) scale(0);
      transform-origin: center center;
      font-size: 50px;
      color: #fff;
      transition: all 0.4s ease;
      @include mq(max_sm) {
        font-size: 40px;
      }
    }
    .txt-title {
      font-size: 18px;
      font-weight: bold;
      color: $text-color;
      text-decoration: none;
      transition: all 0.4s ease;
      padding: 0;
      margin: 10px 0 0;
      &:hover {
        color: $primary;
      }
    }
  }
  .box-more {
    text-align: center;
  }
}

/* -----------------------------------------------------------
  con-member-benefits
----------------------------------------------------------- */
.con-member-benefits {
  .box-benefits {
    .item {
      text-align: center;
      @include mq(max_sm) {
        margin-bottom: 40px;
      }
      &:last-child {
        @include mq(max_sm) {
          margin-bottom: 0;
        }
      }
      .box-icon {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 130px;
        width: 130px;
        overflow: hidden;
        border-radius: 50%;
        font-size: 70px;
        background: $primary;
        color: #fff;
        margin: 0 auto 10px;
        @include mq(max_sm) {
          width: 100px;
          height: 100px;
          font-size: 60px;
        }
      }
      .txt-title {
        font-size: 24px;
        font-weight: bold;
        margin-bottom: 20px;
        @include mq(max_sm) {
          font-size: 20px;
        }
      }
      .content {
        text-align: left;
      }
    }
  }
}

/* -----------------------------------------------------------
  con-news
----------------------------------------------------------- */
.con-news {
  .box-news {
    .box-list {
      margin-bottom: 10px;
      @include mq(max_sm) {
        margin-bottom: 0;
      }
    }
    .item {
      margin-bottom: 40px;
      .post-thumb {
        margin: auto;
        @include mq(max_xs) {
          max-width: 400px;
        }
        .thumb {
          display: block;
          position: relative;
          overflow: hidden;
          height: 100%;
          &:hover {
            &:before {
              opacity: 1;
            }
            .btn-plus {
              transform: translate(-50%, -50%) scale(1);
            }
          }
          &:before {
            opacity: 0;
            display: block;
            content: '';
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background: rgba($primary, 0.8);
            transition: all 0.4s ease;
          }
          .btn-plus {
            display: block;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%) scale(0);
            transform-origin: center center;
            font-size: 50px;
            color: #fff;
            transition: all 0.4s ease;
            @include mq(max_sm) {
              font-size: 40px;
            }
          }
        }
        a {
          text-decoration: none;
        }
        img {
          width: 100%;
        }
      }
      .post-detail {
        position: relative;
        max-width: 86%;
        text-align: center;
        padding: 58px 0 0;
        margin: auto;
      }
      .post-date {
        display: block;
        position: absolute;
        top: 0;
        left: 50%;
        transform: translate(-50%, -50%);
        height: 75px;
        width: 75px;
        background: #374456;
        border: 0 none;
        border-radius: 50%;
        transition: all 0.4s ease;
        &:before {
          display: block;
          content: '';
          position: absolute;
          top: 50%;
          left: 50%;
          bottom: auto;
          right: auto;
          transform: translate(-50%, -50%) rotate(-35deg);
          width: 80%;
          height: 1px;
          background: #fff;
        }
        .day {
          position: absolute;
          top: 12px;
          right: 29px;
          font-size: 16px;
          line-height: 1;
          font-weight: bold;
          color: #fff;
          text-transform: uppercase;
        }
        .month {
          position: absolute;
          bottom: 12px;
          left: 30px;
          text-align: right;
          font-size: 16px;
          line-height: 1;
          font-weight: 300;
          color: #fff;
          text-transform: uppercase;
        }
      }
      .post-title {
        font-size: 18px;
        font-weight: bold;
        text-transform: uppercase;
        padding: 0;
        margin: 0 0 7px;
        &,
        a {
          color: $text-color;
          text-decoration: none;
        }
        a {
          &:hover {
            color: $primary;
          }
        }
      }
    }
    .box-more {
      text-align: center;
    }
  }
}

/* -----------------------------------------------------------
  con-address
----------------------------------------------------------- */
.con-address {
  .box-address {
    .col-address {
      @include mq(max_sm) {
        margin-bottom: 20px;
      }
    }
    .box-map {
      position: relative;
      height: 300px;
      border: 1px solid #ccc;
      iframe {
        display: block;
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
      }
    }
  }
}

/* -----------------------------------------------------------
  con-past-auction
----------------------------------------------------------- */
.con-past-auction {
  .box-list {
    margin: 0 auto 20px;
    @include mq(max_sm) {
      margin-bottom: 10px;
    }
  }
  .item {
    margin-bottom: 30px;
    a {
      text-decoration: none;
    }
    .inner-box {
      text-align: center;
    }
    .thumb {
      display: block;
      position: relative;
      overflow: hidden;
      margin: auto;
      @include mq(max_xs) {
        max-width: 300px;
      }
      &:hover {
        &:before {
          opacity: 1;
        }
        .btn-plus {
          transform: translate(-50%, -50%) scale(1);
        }
      }
      &:before {
        opacity: 0;
        display: block;
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background: rgba($primary, 0.8);
        transition: all 0.4s ease;
      }
    }
    .img {
      width: 100%;
    }
    .btn-plus {
      display: block;
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%) scale(0);
      transform-origin: center center;
      font-size: 50px;
      color: #fff;
      transition: all 0.4s ease;
      @include mq(max_sm) {
        font-size: 40px;
      }
    }
    .txt-title {
      font-size: 18px;
      font-weight: bold;
      color: $text-color;
      text-decoration: none;
      transition: all 0.4s ease;
      padding: 0;
      margin: 10px 0 0;
      &:hover {
        color: $primary;
      }
    }
  }
  .box-more {
    text-align: center;
  }
}

/* -----------------------------------------------------------
  con-banner-bottom
----------------------------------------------------------- */
.con-banner-bottom {
  a {
    display: block;
    img {
      width: 100%;
    }
  }
}
